local MAJOR = "StarLibPluginString-1.0" 
local MINOR = 1

local PluginString = LibStub:NewLibrary(MAJOR, MINOR)
if not PluginString then return end

local _G = _G

if not PluginString.__index then
	PluginString.__index = PluginString
end

-- @name PluginString:New
-- @usage RangeFinder:New(visitor, environment, name, config) -- 
-- @parma environment This will be the environment when loadstring is callled.
-- @return A new StarPluginString object
function PluginString:New(environment)
	
	local obj = {}

	setmetatable(obj, self)

	environment.format = _G.format
	environment.gsub = _G.gsub
	environment.strbyte = _G.strbyte
	environment.strchar = _G.strchar
	environment.strfind = _G.strfind
	environment.strlen = _G.strlen
	environment.strlower = _G.strlower
	environment.strmatch = _G.strmatch
	environment.strrep = _G.strrep
	environment.strsub = _G.strsub
	environment.strupper = _G.strupper
	environment.tonumber = _G.tonumber
	environment.tostring = _G.tostring
	environment.strlenutf8 = _G.strlenutf8
	environment.strtrim = _G.strtrim
	environment.strsplit = _G.strsplit
	environment.strjoin = _G.strjoin
	environment.strconcat = _G.strconcat
	environment.tostringall = _G.tostringall
	
	return obj	
	
end
